package com.company.fragevent.screen.blank;

import com.company.fragevent.entity.NewEntity;
import com.company.fragevent.screen.newentity.NewEntityEdit;
import com.company.fragevent.screen.newfragment.NewFragment;
import io.jmix.ui.Notifications;
import io.jmix.ui.ScreenBuilders;
import io.jmix.ui.component.Button;
import io.jmix.ui.screen.*;
import org.springframework.beans.factory.annotation.Autowired;

@UiController("frgevt_BlankScreen")
@UiDescriptor("blank-screen.xml")
public class BlankScreen extends Screen {
    @Autowired
    private ScreenBuilders screenBuilders;

    @Subscribe("myButton")
    public void onMyButtonClick(final Button.ClickEvent event) {
        screenBuilders.editor(NewEntity.class,this)
                .withScreenClass(NewEntityEdit.class)
                .withOpenMode(OpenMode.DIALOG)
                .newEntity()
                .build()
                .show();
    }


}